import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"e2TNleJqgAx1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"18 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><line id=\"e2TNleJqgAx2\" x1=\"94\" y1=\"92\" x2=\"30\" y2=\"92\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"496\" stroke-dasharray=\"40,8,1,8,31,8\"\/><g id=\"e2TNleJqgAx3\"><g id=\"e2TNleJqgAx4\" transform=\"matrix(1 0 0 1 0.069927 1)\"><path id=\"e2TNleJqgAx5\" d=\"M30,70L30,51C30,48.790861,31.790861,47,34,47L66,47C68.209139,47,70,48.790861,70,51L70,74L34,74C31.790861,74,30,72.209139,30,70Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e2TNleJqgAx6\" d=\"M70,74L34,74L34,79C34,81.209139,35.790861,83,38,83L42.81,83C43.883393,81.149587,45.860794,80.010631,48,80.010631C50.139206,80.010631,52.116607,81.149587,53.19,83L74.81,83C75.883393,81.149587,77.860794,80.010631,80,80.010631C82.139206,80.010631,84.116607,81.149587,85.19,83L90,83C92.209139,83,94,81.209139,94,79L94,75L94,75C94.000789,74.377659,93.853392,73.764074,93.57,73.21L85.57,59.21C84.893356,57.85779,83.512056,57.002699,82,57L70,57Z\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><polyline id=\"e2TNleJqgAx7\" points=\"85,71 80.69,71 78,57\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"e2TNleJqgAx8\" d=\"M77,69L61,69\" transform=\"matrix(1 0 0 1 -40 0)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e2TNleJqgAx9\" d=\"M85,70L69,70\" transform=\"matrix(1 0 0 1 -40 -8)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e2TNleJqgAx10\" d=\"M77,71L61,71\" transform=\"matrix(1 0 0 1 -40 -16)\" fill=\"none\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e2TNleJqgAx11\" r=\"6\" transform=\"matrix(1 0 0 1 48 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"e2TNleJqgAx12\" r=\"6\" transform=\"matrix(1 0 0 1 80 86)\" fill=\"rgb(127,208,255)\" stroke=\"rgb(0,162,255)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e2TNleJqgAx1\",\"animations\":[{\"elements\":{\"e2TNleJqgAx2\":{\"stroke-dashoffset\":[{\"t\":0,\"v\":496},{\"t\":1000,\"v\":400}]},\"e2TNleJqgAx3\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-92}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":63,\"y\":92,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":250,\"v\":{\"x\":1,\"y\":1.023079},\"e\":[0.42,0,0.58,1]},{\"t\":750,\"v\":{\"x\":1,\"y\":0.967894},\"e\":[0.42,0,1,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]}]}}},\"e2TNleJqgAx4\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-64}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":62,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e2TNleJqgAx8\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":36.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e2TNleJqgAx9\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"e2TNleJqgAx10\":{\"transform\":{\"data\":{\"t\":{\"x\":-68.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":28.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":28.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}}},\"s\":\"MDWA1Mzg4MmY3MOUU4MjdmNmU4YMTc2N2M3YjJOmNDdVM2UzZDMNkM2QzOTJmNVzE3NjdmNzI3HMDgxNzY3YzdHiMmY0NzNlMzOlXMmY3NjgxNBzI3ZjZlODE3WNjdjN2I4MDJYmNDczZDM5MmCY3Mzc2Nzk3OFUcyZjQ3M2UzXOTJmNmU3OTgPxNzI3ZjdiNmAU4MTcyMmY0NUzczNmU3OTgwFNzIzOU8yZjgWwN2Q3MjcyNzYEyZjQ3M2U4YOQ|\"}],\"options\":\"MDHAyMjkyMzk4YGU84Yjc4ODk4QYjM5NTEzOVMQ3YTgzODA3YTSgyMzk0MzM5NT2E4MzgwN2E4SMjM5NTEzOTdVkODk3YzdjOTRE3YzM5Uzk0\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
