import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eQRUgpbGcHW1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eQRUgpbGcHW2\" mask=\"url(#eQRUgpbGcHW7)\"><g id=\"eQRUgpbGcHW3\" transform=\"matrix(1 0 0 1 0.000001 0.000001)\"><line id=\"eQRUgpbGcHW4\" x1=\"73.05\" y1=\"79.64\" x2=\"46\" y2=\"64\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eQRUgpbGcHW5\" x1=\"46\" y1=\"64\" x2=\"73.05\" y2=\"48.4\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><ellipse id=\"eQRUgpbGcHW6\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"16\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><mask id=\"eQRUgpbGcHW7\" mask-type=\"luminance\"><g id=\"eQRUgpbGcHW8\"><ellipse id=\"eQRUgpbGcHW9\" rx=\"18\" ry=\"18\" transform=\"matrix(2.542201 0 0 2.542201 64 64)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"16\" stroke-linecap=\"round\"\/><ellipse id=\"eQRUgpbGcHW10\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(0,0,0)\" stroke-width=\"8\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><\/g><\/mask><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eQRUgpbGcHW1\",\"animations\":[{\"elements\":{\"eQRUgpbGcHW3\":{\"transform\":{\"data\":{\"o\":{\"x\":64.014817,\"y\":64.000033,\"type\":\"corner\"},\"t\":{\"x\":-64.014816,\"y\":-64.000032}},\"keys\":{\"r\":[{\"t\":200,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":90}]}}},\"eQRUgpbGcHW4\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-71.82}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":104.954032}]}}},\"eQRUgpbGcHW5\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-56.2}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":74.969712}]}}},\"eQRUgpbGcHW6\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":16,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":10}]},\"eQRUgpbGcHW10\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270}]}},\"stroke-width\":[{\"t\":0,\"v\":8,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":4}]}},\"s\":\"MDMA1MjgyMjk2YGjdjNzk2ODdiXNzA3Nkc3NTID5NDEzZjM3MzMczMzI5NmI3MIDc5NmM2YUw3PYjcwNzY3NTIW5NDEzODMzMjBlBNzBIN2I2YJ0g3OVc2ODdiXVjcwNzY3NTdPhMjk0MTM4MzKMyOTZkNzBKNEzM3MzI5NDEzTODMzMjk2ODcKzSTdiNmM3OTAc1VzY4N2I2YFzI5NDFBNmQ2OODczN2E2YzMOzMjk3YTc3NmSM2YzZiSTI5NJDEzODg0\"}],\"options\":\"MDLAyMzhlMzU4NMjg3NzQ4NTg3PTDM1NGQzNTcK2N2Y3Yzc2N2WUzNTNmMzU3NUjdmN2M3NjdlKMzU0ZEQzNTgW1NzhWODk3ODRg1ODY3ODM1OATA\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
