import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"ePJlmEk1IT41\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ePJlmEk1IT42\" mask=\"url(#ePJlmEk1IT48)\"><g id=\"ePJlmEk1IT43\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ePJlmEk1IT44\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"ePJlmEk1IT45\" width=\"7.000008\" height=\"7.000008\" rx=\"2\" ry=\"2\" transform=\"matrix(1 0 0 1 45.000001 75.000001)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ePJlmEk1IT46\" x1=\"43\" y1=\"87\" x2=\"85\" y2=\"87\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"8,3.3\"\/><line id=\"ePJlmEk1IT47\" x1=\"45\" y1=\"94\" x2=\"69\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"11,2\"\/><\/g><mask id=\"ePJlmEk1IT48\" mask-type=\"luminance\"><g id=\"ePJlmEk1IT49\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ePJlmEk1IT410\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"ePJlmEk1IT411\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ePJlmEk1IT412\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(0,0,0)\" stroke=\"rgb(0,0,0)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/mask><\/g><g id=\"ePJlmEk1IT413\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ePJlmEk1IT414\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ePJlmEk1IT415\" x1=\"41.53332\" y1=\"52\" x2=\"86.46668\" y2=\"52\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\"\/><rect id=\"ePJlmEk1IT416\" width=\"8\" height=\"8\" rx=\"3\" ry=\"3\" transform=\"matrix(1 0 0 1 44.23334 59)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ePJlmEk1IT417\" r=\"4\" transform=\"matrix(1 0 0 1 79.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ePJlmEk1IT418\" r=\"4\" transform=\"matrix(1 0 0 1 73.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ePJlmEk1IT41\",\"animations\":[{\"elements\":{\"ePJlmEk1IT43\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15},{\"t\":1500,\"v\":15,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]}}},\"ePJlmEk1IT49\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15},{\"t\":1500,\"v\":15,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]}}},\"ePJlmEk1IT411\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2000,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2010,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12},{\"t\":1500,\"v\":-12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}},{\"t\":2000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.33,0.125,0.45,0.945]}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2000,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2010,\"v\":{\"x\":-64,\"y\":-56}}]}}},\"ePJlmEk1IT413\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2000,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2010,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12},{\"t\":1500,\"v\":-12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}},{\"t\":2000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.33,0.125,0.45,0.945]}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2000,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2010,\"v\":{\"x\":-64,\"y\":-56}}]}}}},\"s\":\"MDIA1MzgzMmE2YIzdkN2E2OTdjTNzE3Nzc2WDJLhQTQyM2IzODNM4MzgzNDJhNKmM3MTdhNmQ2UYjdjNzE3NzcD2MmFHNDIzOTXM0UDJhNzFKNB2M2ZDdhNjk3XYzcxNzc3NjdIiMmE0MjM4MzBRWMmE2ZTcxNCzQ3NDJhNDIzGOTM0MmE2OTcU0N2M2ZDdhNzAY2OUc3YzZkMDmE0MjZlNjk3NNEk3YjZkMzQAyYTdiNzg2ZDAZkNmMyYTQyMDzk4NQ|\"}],\"options\":\"MDVAxMDgyMjk3YJVQ3YjY4Nzk3LYjI5NDFCMjkD3Mzc2Njg2YjII5ODQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
