import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"efUp9ajwkim1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"efUp9ajwkim2\"><circle id=\"efUp9ajwkim3\" r=\"22\" transform=\"matrix(1 0 0 1 64 65)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><g id=\"efUp9ajwkim4\" transform=\"matrix(1 0 0 1 0 0.000002)\"><path id=\"efUp9ajwkim5\" d=\"M10.5,0C10.5,5.79899,5.79899,10.5,0,10.5\" transform=\"matrix(0.707107 0.707107 -0.707107 0.707107 64 65)\" opacity=\"0\" fill=\"none\" fill-opacity=\"0.5\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"24.75\" stroke-dasharray=\"0,16.5\"\/><circle id=\"efUp9ajwkim6\" r=\"1.990378\" transform=\"matrix(1.5 0 0 0 56 62.00962)\" opacity=\"0\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"efUp9ajwkim7\" r=\"1.990378\" transform=\"matrix(1.5 0 0 0 72 62.00962)\" opacity=\"0\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/g><g id=\"efUp9ajwkim8\"><path id=\"efUp9ajwkim9\" d=\"M42,56C42,43.849736,51.849736,34,64,34C76.150264,34,86,43.849736,86,56\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"efUp9ajwkim10\" d=\"M41,77C37.686292,77,35,74.313708,35,71L35,65C35,61.686292,37.686292,59,41,59L41,59C42.148752,59,43.08,59.931248,43.08,61.08L43.08,74.92C43.08,76.068752,42.148752,77,41,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(169,193,229)\" stroke=\"rgb(169,193,229)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"efUp9ajwkim11\" d=\"M87,77C90.313708,77,93,74.313708,93,71L93,65C93,61.686292,90.313708,59,87,59L87,59C85.851248,59,84.92,59.931248,84.92,61.08L84.92,74.92C84.92,76.068752,85.851248,77,87,77Z\" transform=\"matrix(1 0 0 1 0 -3)\" fill=\"rgb(169,193,229)\" stroke=\"rgb(169,193,229)\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"efUp9ajwkim12\" d=\"M68,79C77.19,79,84.86,70.834828,86.62,60.011226\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"efUp9ajwkim13\" x1=\"68\" y1=\"79\" x2=\"64\" y2=\"79\" transform=\"matrix(1 0 0 1 0 14)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"6\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"efUp9ajwkim1\",\"animations\":[{\"elements\":{\"efUp9ajwkim2\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}},\"efUp9ajwkim4\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-64.999998}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":63,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}},\"efUp9ajwkim5\":{\"opacity\":[{\"t\":90,\"v\":0},{\"t\":100,\"v\":1}],\"stroke-dashoffset\":[{\"t\":100,\"v\":24.75,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":33}],\"stroke-dasharray\":[{\"t\":100,\"v\":[0,16.5],\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":[16.5,0]}]},\"efUp9ajwkim6\":{\"transform\":{\"data\":{\"o\":{\"x\":56,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]}]},\"efUp9ajwkim7\":{\"transform\":{\"data\":{\"o\":{\"x\":72,\"y\":62.00962,\"type\":\"corner\"}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1.5,\"y\":0},\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":{\"x\":1,\"y\":1}},{\"t\":700,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,1,1]},{\"t\":800,\"v\":{\"x\":1.5,\"y\":0.2},\"e\":[0,0,0.58,1]},{\"t\":900,\"v\":{\"x\":1,\"y\":1}}]}},\"opacity\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":400,\"v\":1,\"e\":[0.55,0.055,0.675,0.19]}]},\"efUp9ajwkim8\":{\"transform\":{\"data\":{\"t\":{\"x\":-64,\"y\":-65}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":64,\"y\":65,\"type\":\"corner\"}}]}}}},\"s\":\"MDXA1MzkyMzlZNW2I4Yzg5Nzg4OYjgwODZSODUYzOTUxNDg0NzFQ3NDc0MzM5NI2I4MDg5N2M3FYThiODA4NjgW1Mzk1MTQ4NDYMzOTgwOGI3YP1k4OTc4OGI4RMDg2ODU4YTMM5NTE0ODQzMzEk3ZDgwODM4MS0wzOTUxNDg0YMzM5Nzg4MzhEiN2M4OUs4NTSc4OGI3Y08zOSTUxN2Q3ODgzNOGE3YzQzMzkS4YTg3WVE3YzKdjN2IzOTUxNRDg5NA|\"}],\"options\":\"MDTAyMzhhMzE4MKkg4M1k3MDgxTODMzMTQ5MzEN3MjdiNzg3MjYdhMzEzYkozMMTcyN2I3ODcyKN2EzMTQ5VTMAxODE3NDg1NzNQ4MTgyNzQzMBUg4Yw|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
