import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg cache-id=\"b1cf7b595b1640eaa635096c2a317b00\" id=\"emYk61MnBVQ1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"emYk61MnBVQ2\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"emYk61MnBVQ3\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"emYk61MnBVQ4\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"emYk61MnBVQ5\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"emYk61MnBVQ6\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><g id=\"emYk61MnBVQ7\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"emYk61MnBVQ8\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"rgb(255,233,142)\" stroke=\"rgb(255,212,29)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"emYk61MnBVQ9\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\"\/><rect id=\"emYk61MnBVQ10\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"emYk61MnBVQ11\" r=\"1\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"emYk61MnBVQ12\" r=\"1\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(255,212,29)\" stroke=\"rgb(255,212,29)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"emYk61MnBVQ1\",\"animations\":[{\"elements\":{\"emYk61MnBVQ2\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12},{\"t\":1500,\"v\":12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]}}},\"emYk61MnBVQ7\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2000,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}},{\"t\":2010,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12},{\"t\":1500,\"v\":-12,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":0,\"e\":[0.645,0,0.785,0.39]}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}},{\"t\":2000,\"v\":{\"x\":1,\"y\":1},\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.33,0.125,0.45,0.945]}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2000,\"v\":{\"x\":-46,\"y\":-66}},{\"t\":2010,\"v\":{\"x\":-64,\"y\":-56}}]}}},\"emYk61MnBVQ8\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4},{\"t\":2000,\"v\":4,\"e\":[0.33,0.165,0.45,0.94]},{\"t\":2500,\"v\":3.1,\"e\":[0.33,0.125,0.45,0.945]}]}},\"s\":\"MDMA1M2IxVTU4OEWFhYmE4OTdHBYWE5ZmE1YTQC1ODcwNjk2NlIc2NlY2NjYyNPTg5YTlmYTg5AYjk5YWE5ZmEY1YTQ1OFA3MDPY3NjI1ODlmYRWE5YkNhODk3WYWE5ZkdhNWES0YTk1ODcwNjFY2MjU4QjljOFWZhMkFhMjU4FNzA2NzYyNTgG5N2EyYWE5YmBE4YTQ5N2FhOQWJCNTg3MDljNOTdhMmE5OWIH2MjU4YTlhNjEliOWI5YTU4NYzA2N0liMw|\"}],\"options\":\"MDGAxMDgyMjk3YXTdiRjY4Nzk3BYjI5NDEyOTcBzNzY2ODZiMjDk4NA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
