import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"evo5ZgzTnt11\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"evo5ZgzTnt12\" mask=\"url(#evo5ZgzTnt18)\"><g id=\"evo5ZgzTnt13\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"evo5ZgzTnt14\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 71)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"evo5ZgzTnt15\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 78)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"evo5ZgzTnt16\" x1=\"45\" y1=\"87\" x2=\"83\" y2=\"87\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"7,3.3\"\/><line id=\"evo5ZgzTnt17\" x1=\"45\" y1=\"94\" x2=\"67\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"10,2\"\/><\/g><mask id=\"evo5ZgzTnt18\" mask-type=\"luminance\"><g id=\"evo5ZgzTnt19\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"evo5ZgzTnt110\" width=\"50.466678\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38.766661 69)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"evo5ZgzTnt111\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"evo5ZgzTnt112\" width=\"46\" height=\"30.000005\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 40.999996)\" fill=\"rgb(0,0,0)\" stroke=\"none\" stroke-width=\"1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/mask><\/g><g id=\"evo5ZgzTnt113\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"evo5ZgzTnt114\" width=\"46\" height=\"30\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 41 41)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"3.1\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"evo5ZgzTnt115\" x1=\"41\" y1=\"52\" x2=\"87\" y2=\"52\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\"\/><rect id=\"evo5ZgzTnt116\" width=\"2\" height=\"2\" rx=\"0\" ry=\"0\" transform=\"matrix(1 0 0 1 48 62)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"evo5ZgzTnt117\" r=\"3\" transform=\"matrix(1 0 0 1 78 63)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"evo5ZgzTnt118\" r=\"3\" transform=\"matrix(1 0 0 1 73 63)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"evo5ZgzTnt11\",\"animations\":[{\"elements\":{\"evo5ZgzTnt13\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"evo5ZgzTnt19\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":12}]}}},\"evo5ZgzTnt111\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"evo5ZgzTnt113\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"evo5ZgzTnt114\":{\"stroke-width\":[{\"t\":0,\"v\":3.1,\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":4}]}},\"s\":\"MDXA1M2FjNTM5NIUxhNmEzOTJhINTlhYTA5ZlgJ1MzZiRTYyNjFE2MTYxNWQ1MUzk1OWFhMzk2GOTRhNTlhYTAF5ZjUzNmI2MkHY1ZDUzOWFhNBTk2YTM5MmE1BOWFhMDlmYTQF1MzZiNjI1ZEL01Mzk3OWE5ZSDlkUDUzNmI2SMjVkTTUzOTIK5ZGE1OTZhMzPlmOTJhNTk2NPTM2Ylk5NzkyROWRhNDk2NWQB1M2E0YTE5NjVk2OTU1MzZiNIjJhZQ|\"}],\"options\":\"MDRAyMzkxMzg4OQUQ4YTc3ODg4KYUYzODUwWTMF4Nzk4MjdmNzWk4MTM4RjQyMYzg3OTgyN2Y3MOTgxMzg1MDMI4ODg3YjhjN2RI4ODg5UTdiMTzg5Mw|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
