import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eSkVbcZHM4E1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eSkVbcZHM4E2\" transform=\"matrix(0.707107 -0.707107 0.707107 0.707107 -34.639604 84.154347)\"><ellipse id=\"eSkVbcZHM4E3\" rx=\"18.000001\" ry=\"18.000001\" transform=\"matrix(1 0 0 1 84.221826 46.221818)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\"\/><g id=\"eSkVbcZHM4E4\"><path id=\"eSkVbcZHM4E5\" d=\"M-8.029452,5.916737C-8.029452,8.125876,-6.238591,9.916737,-4.029452,9.916737C-1.820313,9.916737,-0.029452,8.125876,-0.029452,5.916737L0,5.757358L-0.017478,-15.431692\" transform=\"matrix(1 0 0 1 88 80)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"67.8\" stroke-dasharray=\"33.9\"\/><line id=\"eSkVbcZHM4E6\" x1=\"0\" y1=\"5.757358\" x2=\"0\" y2=\"-15.414214\" transform=\"matrix(1 0 0 1 80 80)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"42.34\" stroke-dasharray=\"21.17\"\/><\/g><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eSkVbcZHM4E1\",\"animations\":[{\"elements\":{\"eSkVbcZHM4E2\":{\"transform\":{\"data\":{\"t\":{\"x\":-84,\"y\":-46}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":57.284278,\"y\":57.284289,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":63.999989,\"y\":57.284289,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":-45,\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":0}]}}},\"eSkVbcZHM4E3\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18.000001,\"y\":18.000001},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":26,\"y\":26}}],\"transform\":{\"data\":{\"t\":{\"x\":7.999999,\"y\":7.999999}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":76.221827,\"y\":38.221819,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":76.000012,\"y\":44.715712,\"type\":\"corner\"}}]}}},\"eSkVbcZHM4E4\":{\"transform\":{\"data\":{\"t\":{\"x\":-83.975282,\"y\":-64.587577}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":83.975282,\"y\":64.587577,\"type\":\"corner\"},\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":{\"x\":92.000011,\"y\":52.715711,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":450,\"v\":{\"x\":93.000011,\"y\":52.715711,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":600,\"v\":{\"x\":92.000011,\"y\":52.715711,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":300,\"v\":90}]}}},\"eSkVbcZHM4E5\":{\"transform\":{\"data\":{\"t\":{\"x\":0,\"y\":15.414214}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":88,\"y\":64.585786,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":{\"x\":84,\"y\":64.585786,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":-45}]}},\"stroke-dashoffset\":[{\"t\":0,\"v\":67.8,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":39.09}],\"stroke-dasharray\":[{\"t\":0,\"v\":[33.9],\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":[21.17,33.92]}]},\"eSkVbcZHM4E6\":{\"transform\":{\"data\":{\"t\":{\"x\":0,\"y\":15.414214}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":80,\"y\":64.585786,\"type\":\"corner\"},\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":{\"x\":84,\"y\":64.585786,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":45}]}},\"stroke-dashoffset\":[{\"t\":100,\"v\":42.34,\"e\":[0,0,0.58,1]},{\"t\":300,\"v\":38.997368}]}},\"s\":\"MDIA1Mjk0M2I3ZADhlOGI3YThkUODI4ODg3M2IK1MzRmNDk0OTUQ1M2I3ZDgyOSGI3ZTdjVjhkTODI4ODg3M2IH1MzRhTjQ1M2XI4MjhkN2VZORGI3YThkODI4EODg3OGMzYjUNzNGE0NTNiN2VY4Mjg1ODUzYLjUzNGFHNDUzTYjdhODU4ZDdClOGI4NzdhOGBQ3ZTNiNTM3ZAko3YTg1OGM3LZTQ1M2I4YzgD5N2U3ZTdkM2WI1MzRhOTY\/\"}],\"options\":\"MDYAyMzkxMzg4OHUU4YTc3ODg4UYTM4NTAzODcX5ODI3Zjc5ODXEzODQyQTM4NBzk4MjdmNzk4SMTM4NTAzODgB4N2JGOGM3YjPg4ODlUN2IzOEDkz\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
