import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eYrxQm5lvNh1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"eYrxQm5lvNh2\" mask=\"url(#eYrxQm5lvNh7)\"><g id=\"eYrxQm5lvNh3\" transform=\"matrix(1 0 0 1 0.000001 0.000001)\"><line id=\"eYrxQm5lvNh4\" x1=\"73.05\" y1=\"79.64\" x2=\"46\" y2=\"64\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"eYrxQm5lvNh5\" x1=\"46\" y1=\"64\" x2=\"73.05\" y2=\"48.4\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><ellipse id=\"eYrxQm5lvNh6\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"16\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><mask id=\"eYrxQm5lvNh7\" mask-type=\"luminance\"><g id=\"eYrxQm5lvNh8\"><ellipse id=\"eYrxQm5lvNh9\" rx=\"18\" ry=\"18\" transform=\"matrix(2.542201 0 0 2.542201 64 64)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"16\" stroke-linecap=\"round\"\/><ellipse id=\"eYrxQm5lvNh10\" rx=\"18\" ry=\"18\" transform=\"matrix(0.5 -0.866025 0.866025 0.5 64 64)\" fill=\"none\" stroke=\"rgb(0,0,0)\" stroke-width=\"8\" stroke-linecap=\"round\" stroke-dasharray=\"0,37.69\"\/><\/g><\/mask><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eYrxQm5lvNh1\",\"animations\":[{\"elements\":{\"eYrxQm5lvNh3\":{\"transform\":{\"data\":{\"o\":{\"x\":64.014817,\"y\":64.000033,\"type\":\"corner\"},\"t\":{\"x\":-64.014816,\"y\":-64.000032}},\"keys\":{\"r\":[{\"t\":200,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":90},{\"t\":1500,\"v\":90,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2100,\"v\":0,\"e\":[0.645,0,0.785,0.39]}]}}},\"eYrxQm5lvNh4\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-71.82}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}},{\"t\":2100,\"v\":{\"x\":64.025,\"y\":64,\"type\":\"corner\"}},{\"t\":2300,\"v\":{\"x\":59.525,\"y\":71.82,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":104.954032},{\"t\":2100,\"v\":104.954032},{\"t\":2300,\"v\":0}]}}},\"eYrxQm5lvNh5\":{\"transform\":{\"data\":{\"t\":{\"x\":-59.525,\"y\":-56.2}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}},{\"t\":200,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":2100,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":2300,\"v\":{\"x\":59.525,\"y\":56.2,\"type\":\"corner\"}}],\"r\":[{\"t\":0,\"v\":0},{\"t\":200,\"v\":74.969712},{\"t\":2100,\"v\":74.969712},{\"t\":2300,\"v\":0}]}}},\"eYrxQm5lvNh6\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}},{\"t\":1500,\"v\":{\"x\":35.990929,\"y\":35.990929},\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":{\"x\":18,\"y\":18},\"e\":[0.645,0,0.785,0.39]}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270},{\"t\":1500,\"v\":270,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":-60,\"e\":[0.645,0,0.785,0.39]}]}},\"stroke-width\":[{\"t\":0,\"v\":16,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":10},{\"t\":1500,\"v\":10,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":16,\"e\":[0.645,0,0.785,0.39]}]},\"eYrxQm5lvNh10\":{\"#radius\":[{\"t\":0,\"v\":{\"x\":18,\"y\":18},\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":{\"x\":35.990929,\"y\":35.990929}},{\"t\":1500,\"v\":{\"x\":35.990929,\"y\":35.990929},\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":{\"x\":18,\"y\":18},\"e\":[0.645,0,0.785,0.39]}],\"transform\":{\"data\":{\"o\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},\"keys\":{\"r\":[{\"t\":0,\"v\":-60,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":270},{\"t\":1500,\"v\":270,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":-60,\"e\":[0.645,0,0.785,0.39]}]}},\"stroke-width\":[{\"t\":0,\"v\":8,\"e\":[0.215,0.61,0.355,1]},{\"t\":800,\"v\":4},{\"t\":1500,\"v\":4,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2300,\"v\":8,\"e\":[0.645,0,0.785,0.39]}]}},\"s\":\"MDQA1MzhlMzU3NEzg4ODU3NDg3BN2M4MlY4MTMV1NGQ0NjQzTDVQzNDMzZjM1NBzc3Yzg1Nzg3ONjg3N2M4MjgWxMzU0ZDQ0M2NYzNTdjODc3OQDg1NzQ4NzdjPODI4MTg2MzUB0ZDQzM2YzNTKc5N2M3ZjdmMNzU0ZDQ0M2YzDNU43NDdmODcI3ODg1ODE3NDKg3NzgzNTRkNPzk3NDdmODY3HODNmMzU4NjgIzNzg3ODc3MzEU0ZEI0NDkw\"}],\"options\":\"MDKAxMDgyMjk3YWUg3YjY4Nzk3KYjI5NDEyOTcOzNzY2ODZiMjVk4NA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
