import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"ekOaJ5fgySh1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"ekOaJ5fgySh2\" mask=\"url(#ekOaJ5fgySh8)\"><g id=\"ekOaJ5fgySh3\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ekOaJ5fgySh4\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><rect id=\"ekOaJ5fgySh5\" width=\"7.000008\" height=\"7.000008\" rx=\"2\" ry=\"2\" transform=\"matrix(1 0 0 1 45.000001 75.000001)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ekOaJ5fgySh6\" x1=\"43\" y1=\"87\" x2=\"85\" y2=\"87\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-linejoin=\"round\" stroke-dasharray=\"8,3.3\"\/><line id=\"ekOaJ5fgySh7\" x1=\"45\" y1=\"94\" x2=\"69\" y2=\"94\" transform=\"matrix(1 0 0 1 16 0)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\" stroke-miterlimit=\"10\" stroke-dasharray=\"11,2\"\/><\/g><mask id=\"ekOaJ5fgySh8\" mask-type=\"luminance\"><g id=\"ekOaJ5fgySh9\" transform=\"matrix(1 0 0 1 0 -22)\"><rect id=\"ekOaJ5fgySh10\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 69)\" fill=\"rgb(255,255,255)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><g id=\"ekOaJ5fgySh11\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ekOaJ5fgySh12\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(0,0,0)\" stroke=\"rgb(0,0,0)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><\/mask><\/g><g id=\"ekOaJ5fgySh13\" transform=\"matrix(1.30436 0 0 1.3 -19.47904 -8.8)\"><rect id=\"ekOaJ5fgySh14\" width=\"52\" height=\"34\" rx=\"6\" ry=\"6\" transform=\"matrix(1 0 0 1 38 39)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><line id=\"ekOaJ5fgySh15\" x1=\"41.53332\" y1=\"52\" x2=\"86.46668\" y2=\"52\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"4\"\/><rect id=\"ekOaJ5fgySh16\" width=\"8\" height=\"8\" rx=\"3\" ry=\"3\" transform=\"matrix(1 0 0 1 44.23334 59)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ekOaJ5fgySh17\" r=\"4\" transform=\"matrix(1 0 0 1 79.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"ekOaJ5fgySh18\" r=\"4\" transform=\"matrix(1 0 0 1 73.76666 63)\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"ekOaJ5fgySh1\",\"animations\":[{\"elements\":{\"ekOaJ5fgySh3\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15}]}}},\"ekOaJ5fgySh9\":{\"transform\":{\"data\":{\"o\":{\"x\":46,\"y\":74,\"type\":\"corner\"},\"t\":{\"x\":-46,\"y\":-96}},\"keys\":{\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":15}]}}},\"ekOaJ5fgySh11\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}},\"ekOaJ5fgySh13\":{\"transform\":{\"keys\":{\"o\":[{\"t\":490,\"v\":{\"x\":64,\"y\":64,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":46,\"y\":74,\"type\":\"corner\"}}],\"r\":[{\"t\":500,\"v\":0,\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":-12}],\"s\":[{\"t\":0,\"v\":{\"x\":1.30436,\"y\":1.3},\"e\":[0.55,0.055,0.67,0.875]},{\"t\":500,\"v\":{\"x\":1,\"y\":1}}],\"t\":[{\"t\":490,\"v\":{\"x\":-64,\"y\":-56}},{\"t\":500,\"v\":{\"x\":-46,\"y\":-66}}]}}}},\"s\":\"MDXA1Mzg4MmY3MSTgyN2Y2ZTgxLNzZHN2M3YjJKmNDczZTNkM2MQzZDM5MmY3MQTc2N2Y3MjcwLODE3NjdjN2IWyZjQ3UDNlMzWkyZjc2RDgxNLzI3ZjZlODE3ONjdjN2I4MDJGmNDczZUczOTKJmQTczNzY3OBTc5MmY0N04zJZTM5MmZMNmUP3OTgxNzI3ZjTdiNmU4MTcyMDmY0NzczNmVPXNzk4MDcyMzkPyZjgwN2Q3MkQw3MjcxMmY0NMzNlUDhh\"}],\"options\":\"MDNAyMzg2MmQ3ZPTdmNmNHN2Q3KZjJkNDUyZDZJlSjc3NzQ2ZTLc2MmQzNzJkNUmU3Nzc0NmU3JNkEyZDQ1RTJRkN2RVNzA4MTEcwN2Q3ZTcwMDmQ4OA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
