import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"e8QXniUShJA1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"20 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><g id=\"e8QXniUShJA2\"><circle id=\"e8QXniUShJA3\" r=\"15\" transform=\"matrix(0 1 -1 0 64 64)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"30\" stroke-linejoin=\"round\" stroke-dasharray=\"94.25\"\/><circle id=\"e8QXniUShJA4\" r=\"12\" transform=\"matrix(1 0 0 1 64 53)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"e8QXniUShJA5\" d=\"M84.621603,85.815479C72.773319,96.970286,54.32916,96.422982,43.30416,85.693683C44.271304,79.818771,49.47,73,57.37,73L70.63,73C78.53,73,83.868015,79.976868,84.621603,85.815479Z\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"e8QXniUShJA1\",\"animations\":[{\"elements\":{\"e8QXniUShJA2\":{\"transform\":{\"data\":{\"o\":{\"x\":63.962883,\"y\":67.481518,\"type\":\"corner\"},\"t\":{\"x\":-63.962883,\"y\":-67.481518}},\"keys\":{\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":1.3,\"y\":1.3}},{\"t\":1500,\"v\":{\"x\":1.3,\"y\":1.3},\"e\":[0.42,0,0.58,1]},{\"t\":2500,\"v\":{\"x\":1,\"y\":1},\"e\":[0.42,0,0.58,1]}]}}},\"e8QXniUShJA3\":{\"opacity\":[{\"t\":480,\"v\":1},{\"t\":510,\"v\":0},{\"t\":2000,\"v\":0},{\"t\":2030,\"v\":1}],\"stroke-dashoffset\":[{\"t\":0,\"v\":0,\"e\":[0.55,0.055,0.675,0.19]},{\"t\":500,\"v\":94.25},{\"t\":2000,\"v\":94.25,\"e\":[0.215,0.61,0.355,1]},{\"t\":2500,\"v\":0,\"e\":[0.325,0.81,0.45,0.945]}]},\"e8QXniUShJA4\":{\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33},{\"t\":1500,\"v\":3.33,\"e\":[0.645,0.045,0.355,1]},{\"t\":2500,\"v\":4,\"e\":[0.645,0,0.355,0.955]}]},\"e8QXniUShJA5\":{\"d\":[{\"t\":490,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.215,0.61,0.355,1]},{\"t\":1000,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"]},{\"t\":1490,\"v\":[\"M\",85,89,\"C\",85,89,43,89,43,89,\"C\",43,80.2,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,85,80.2,85,89,\"Z\"],\"e\":[0.55,0.055,0.675,0.19]},{\"t\":2000,\"v\":[\"M\",84.621603,85.815479,\"C\",72.773319,96.970286,54.32916,96.422982,43.30416,85.693683,\"C\",44.271304,79.818771,49.47,73,57.37,73,\"L\",70.63,73,\"C\",78.53,73,83.868015,79.976868,84.621603,85.815479,\"Z\"],\"e\":[0.645,0,0.785,0.39]}],\"stroke-width\":[{\"t\":0,\"v\":4,\"e\":[0.645,0.045,0.355,1]},{\"t\":1000,\"v\":3.33},{\"t\":1500,\"v\":3.33,\"e\":[0.645,0.045,0.355,1]},{\"t\":2500,\"v\":4,\"e\":[0.645,0,0.355,0.955]}]}},\"s\":\"MDOA1M2FiNTI5NQGE1YTI5MWE0OOTk5ZjllNTIJ2YTYzWDYwNjOA2MDVjNTI5NRDk5YTI5NTkzYYTQ5OTlmOWUM1MjZhNjE1YzFUyRDk5YTQ5NDWEyOTFhNDk5SOWY5ZWEzNTIB2YVY2MFE1Y0VY1MkQ5Njk5OJWM5YzUyNmE2VMTVjNTI5MTlBjYTQ5NVVhMjYllOTFhNDk1NPTI2YTk2OTE5XY2EzOTVYNWME1MmEzYTA5NTGk1OTQ1MjZhVJTYxYWQ\/\"}],\"options\":\"MDQAxMDgyMjk3YYTdiNjg3OTdiFMjlENDFSMjkU3Mzc2Njg2YjFI5ODQ\/\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
