import React from "react";
import WebView from "react-native-webview";
import SVGatorPlayer from "@svgator/react-native";

function getPlayer(playerId){
    return SVGatorPlayer.getPlayer(playerId);
}

function getHtml() {
    return SVGatorPlayer.wrapPage("<svg id=\"eeZzvkgJLMW1\" xmlns=\"http:\/\/www.w3.org\/2000\/svg\" xmlns:xlink=\"http:\/\/www.w3.org\/1999\/xlink\" viewBox=\"18 20 88 88\" shape-rendering=\"geometricPrecision\" text-rendering=\"geometricPrecision\"><line id=\"eeZzvkgJLMW2\" x1=\"94\" y1=\"92\" x2=\"30\" y2=\"92\" fill=\"none\" stroke=\"rgb(84,131,204)\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-dashoffset=\"496\" stroke-dasharray=\"40,8,1,8,31,8\"\/><g id=\"eeZzvkgJLMW3\"><g id=\"eeZzvkgJLMW4\" transform=\"matrix(1 0 0 1 0.069927 1)\"><path id=\"eeZzvkgJLMW5\" d=\"M73,73L33,73L33,80C33,82.209139,34.790861,84,37,84L42.81,84C43.883393,82.149587,45.860794,81.010631,48,81.010631C50.139206,81.010631,52.116607,82.149587,53.19,84L75.81,84C76.883393,82.149587,78.860794,81.010631,81,81.010631C83.139206,81.010631,85.116607,82.149587,86.19,84L91,84C93.209139,84,95,82.209139,95,80L95,74L95,74C95.000789,73.377659,94.853392,72.764074,94.57,72.21L86.57,58.21C85.893356,56.85779,84.512056,56.002699,83,56L73,56Z\" fill=\"rgb(169,193,229)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eeZzvkgJLMW6\" d=\"M29,70L29,50C29,47.790861,30.790861,46,33,46L69,46C71.209139,46,73,47.790861,73,50L73,74L33,74C30.790861,74,29,72.209139,29,70Z\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"2\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eeZzvkgJLMW7\" d=\"M79,57C81.436203,57,82.245156,56.42258,83.988119,59.095124Q85.731082,61.767668,91,71L80.69,71L79,57Z\" transform=\"matrix(1 0 0 1 0 2)\" fill=\"rgb(84,131,204)\" stroke=\"none\" stroke-width=\"4\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><path id=\"eeZzvkgJLMW8\" d=\"M77,69L61,69\" transform=\"matrix(1 0 0 1 -40 -1)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eeZzvkgJLMW9\" d=\"M85,70L69,70\" transform=\"matrix(1 0 0 1 -40 -9)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><path id=\"eeZzvkgJLMW10\" d=\"M77,71L61,71\" transform=\"matrix(1 0 0 1 -40 -17)\" fill=\"none\" stroke=\"rgb(169,193,229)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eeZzvkgJLMW11\" r=\"6\" transform=\"matrix(1 0 0 1 47 86)\" fill=\"rgb(84,131,204)\" stroke=\"rgb(84,131,204)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><circle id=\"eeZzvkgJLMW12\" r=\"6\" transform=\"matrix(1 0 0 1 81 86)\" fill=\"rgb(84,131,204)\" stroke=\"rgb(84,131,204)\" stroke-width=\"3\" stroke-linecap=\"round\" stroke-linejoin=\"round\"\/><\/g><script><![CDATA[" + getPlayer("91c80d77") + ";(function(s,i,o,w){w[o]=w[o]||{};w[o][s]=w[o][s]||[];w[o][s].push(i);})('91c80d77',{\"root\":\"eeZzvkgJLMW1\",\"animations\":[{\"elements\":{\"eeZzvkgJLMW2\":{\"stroke-dashoffset\":[{\"t\":0,\"v\":496},{\"t\":1000,\"v\":400}]},\"eeZzvkgJLMW3\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-92}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}},{\"t\":500,\"v\":{\"x\":63,\"y\":92,\"type\":\"corner\"}},{\"t\":1000,\"v\":{\"x\":62,\"y\":92,\"type\":\"corner\"}}],\"s\":[{\"t\":0,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]},{\"t\":250,\"v\":{\"x\":1,\"y\":1.023079},\"e\":[0.42,0,0.58,1]},{\"t\":750,\"v\":{\"x\":1,\"y\":0.967894},\"e\":[0.42,0,1,1]},{\"t\":1000,\"v\":{\"x\":1,\"y\":1},\"e\":[0,0,0.58,1]}]}}},\"eeZzvkgJLMW4\":{\"transform\":{\"data\":{\"t\":{\"x\":-62,\"y\":-64}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":62,\"y\":64,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":62.069927,\"y\":65,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eeZzvkgJLMW8\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":68,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":36.845,\"y\":69,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":68,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eeZzvkgJLMW9\":{\"transform\":{\"data\":{\"t\":{\"x\":-72.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":32.845,\"y\":60,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":61,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":32.845,\"y\":60,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}},\"eeZzvkgJLMW10\":{\"transform\":{\"data\":{\"t\":{\"x\":-68.845,\"y\":-69}},\"keys\":{\"o\":[{\"t\":0,\"v\":{\"x\":28.845,\"y\":52,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":500,\"v\":{\"x\":30.845,\"y\":53,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]},{\"t\":1000,\"v\":{\"x\":28.845,\"y\":52,\"type\":\"corner\"},\"e\":[0.42,0,0.58,1]}]}}}},\"s\":\"MDVA1M2NiNzJiNIGM1UmMyYjFjANGI5YmZiZTcWyOGE4MUg4MDYgwODA3YzcyYOjRTYjljMmI1HYjNjNGI5YmZDiZTcyOGE4MTRdjNzJiOWM0YGjVKYzJiMUJjINGI5YmZiZWMYzNzI4YTgwN2WM3MmI2TWI5TMWJjYmM3MjhhBODFFN2M3MmIJxYmNjNGI1YzXJiZWIxYzRiNJTcyOGFiNmIxMYmNjM2I1N2MU3MmMzYzBiNWUI1YjQ3MjhhOQDFjZA|\"}],\"options\":\"MDFAxMDgyMjk3YRTdiNjg3OTdiIMjk0MTI5NzME3NjY4UDZiMjKk4NA|\"},'__SVGATOR_PLAYER__',window)]]><\/script><\/svg>");
}

const SVGatorComponent = React.forwardRef((props, ref) => {
    const html = getHtml();
    const newProps = SVGatorPlayer.parseProps(props, html);
    return (
        <WebView ref={ref} {...newProps} source={{html}} containerStyle={{flex: 0}} style={{backgroundColor: "transparent", flex: 0}}/>
    );
});

export default SVGatorComponent;
